Subject: Re: Shell scripts?
From: [email-masked] (Jan Linnell)

28 Jan 1997 00:17:14 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
		<[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (X11; I; OSF1 V3.2 alpha)
Original-To: Peter Dalgaard BSA <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

Peter Dalgaard BSA wrote:
> 
> Jan Linnell <[email-masked]> writes:
> 
> > > On my computer it works both ways. Your error message suggests that you
> > > do not have the current directory (.) in your path. Please verify this.
> > >
> >
> > I do have . in my path, I have found a strange work-around though:
> >
> > If I from the shell prompt exec another bash
> > (e.g. put a exec /...../bash.exe in my .bash_profile file)
> > then I can execute shell scripts "directly".
> 
> Argh. I had this problem and it disappeared, but what did I do?? Weird
> stuff can and will happen if bash is not in your *DOS* path prior to
> invoking it. Was that it? Your strange workaround does indicate to me
> that the environment of the invoking bash might play a role.
> 

Thanks Peter, that made it!

I had by purpose avoided to put bash in the DOS path (just adding HOME
in the DOS path and all the rest in .bash_profile and .bashrc)

oo

-- 
Jan Linnell                    | [email-masked]
-------------------------------+------------------------
OM Technology AB               | Tel +46 8 700 06 95
Sweden                         | Fax +46 8 723 10 92
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".